# Cinder

# cinder::app::AppImplMswRendererGl Class Reference

`#include <AppImplMswRendererGl.h>`

Inherits cinder::app::AppImplMswRenderer.

List of all members.

## Public Member Functions
| AppImplMswRendererGl (App *aApp, RendererGl *aRenderer)
virtual bool | initialize (HWND wnd, HDC dc)
virtual void | prepareToggleFullScreen ()
virtual void | finishToggleFullScreen ()
virtual void | kill ()
virtual void | defaultResize () const
virtual void | swapBuffers () const
virtual void | makeCurrentContext ()
## Protected Member Functions
bool | initializeInternal (HWND wnd, HDC dc)
int | initMultisample (PIXELFORMATDESCRIPTOR pfd, int requestedLevelIdx, HDC dc)
## Protected Attributes
RendererGl * | mRenderer
bool | mWasFullScreen
HGLRC | mRC
HGLRC | mPrevRC
HDC | mDC
HWND | mWnd
App * | mApp

## Constructor & Destructor Documentation

cinder::app::AppImplMswRendererGl::AppImplMswRendererGl | ( | App * | aApp,
|  | RendererGl * | aRenderer |
| ) |  |  |

## Member Function Documentation

bool cinder::app::AppImplMswRendererGl::initialize | ( | HWND | wnd,
|  | HDC | dc |
| ) |  |  | `[virtual]`

Implements cinder::app::AppImplMswRenderer.

void cinder::app::AppImplMswRendererGl::prepareToggleFullScreen | ( |  | ) | `[virtual]`

Reimplemented from cinder::app::AppImplMswRenderer.

void cinder::app::AppImplMswRendererGl::finishToggleFullScreen | ( |  | ) | `[virtual]`

Reimplemented from cinder::app::AppImplMswRenderer.

void cinder::app::AppImplMswRendererGl::kill | ( |  | ) | `[virtual]`

Implements cinder::app::AppImplMswRenderer.

void cinder::app::AppImplMswRendererGl::defaultResize | ( |  | ) | const`[virtual]`

Implements cinder::app::AppImplMswRenderer.

void cinder::app::AppImplMswRendererGl::swapBuffers | ( |  | ) | const`[virtual]`

Implements cinder::app::AppImplMswRenderer.

void cinder::app::AppImplMswRendererGl::makeCurrentContext | ( |  | ) | `[virtual]`

Implements cinder::app::AppImplMswRenderer.

bool cinder::app::AppImplMswRendererGl::initializeInternal | ( | HWND | wnd,
|  | HDC | dc |
| ) |  |  | `[protected]`

int cinder::app::AppImplMswRendererGl::initMultisample | ( | PIXELFORMATDESCRIPTOR | pfd,
|  | int | requestedLevelIdx,
|  | HDC | dc |
| ) |  |  | `[protected]`

## Member Data Documentation

RendererGl* cinder::app::AppImplMswRendererGl::mRenderer`[protected]`

bool cinder::app::AppImplMswRendererGl::mWasFullScreen`[protected]`

HGLRC cinder::app::AppImplMswRendererGl::mRC`[protected]`

HGLRC cinder::app::AppImplMswRendererGl::mPrevRC`[protected]`

HDC cinder::app::AppImplMswRendererGl::mDC`[protected]`

HWND cinder::app::AppImplMswRenderer::mWnd`[protected, inherited]`

App* cinder::app::AppImplMswRenderer::mApp`[protected, inherited]`

The documentation for this class was generated from the following files:

- include/cinder/app/AppImplMswRendererGl.h
- src/cinder/app/AppImplMswRendererGl.cpp